List Projects

This endpoint returns projects belonging to the consumer who authorized your application, including projects created on Yelp or through partner applications.

Provide project_ids to retrieve specific projects, or omit it to browse projects in order of most recent activity. To browse, start without a cursor, then use a cursor from the response to retrieve the next or previous page. Provide only one cursor per request.

Requires a consumer OAuth access token with the projects scope.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^[a-z]{2,3}_[A-Z]{2}$

Locale code in the format of {language code}_{country code}. See the list of supported locales.

project_ids
array of strings
length between 1 and 100

Up to 100 comma-separated project IDs to retrieve. Projects that do not exist or do not belong to the authorized consumer are omitted. Cannot be combined with next_cursor, previous_cursor, or limit.

project_ids
string
length between 1 and 4096

The next_cursor value from a previous response. Retrieves the next page of projects. Cannot be combined with previous_cursor or project_ids.

string
length between 1 and 4096

The previous_cursor value from a previous response. Retrieves the previous page of projects. Cannot be combined with next_cursor or project_ids.

integer
1 to 25
Defaults to 15

Maximum number of projects to return per page when listing. Cannot be combined with project_ids.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json